import { get, put, post, deletes } from '@/http/index'

// 查询任务信息列表
export const getTask = async (data) => {
  return await get('/als/task/list', data)
}

// 新增任务信息
export const addTask = async (data) => {
  return await post('/als/task', data)
}

// 修改任务信息
export const updateTask = async (data) => {
  return await put('/als/task', data)
}

// 删除任务信息
export const removeTask = async (id) => {
  return await deletes('/als/task/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
